<?php
session_start();
include('../include/connect.php');

// Lấy dữ liệu POST
$data = json_decode(file_get_contents('php://input'), true);

if($data && isset($_SESSION['username']) && isset($_SESSION['password']) && $data['Action'] == "SANG-HR") {

  $notifications_name = $data['notifications_name'];
  $message = $data['message'];
  $grouptype = $data['grouptype'];
  $groupby = $data['groupby'];
  $content = $data['content'];

  // Xử lý insert db

  date_default_timezone_set('Asia/Ho_Chi_Minh');

  $sql = "INSERT INTO notice(notifications_name, message, active, time, grouptype, groupby, content)
          VALUES('$notifications_name', '$message', '1', '".date('Y-m-d H:i:s')."', '$grouptype', '$groupby', '$content')";
  
  mysqli_query($link, $sql);

  // Trả về kết quả
  echo 'ok'; 

} else {
  // Trả về lỗi
  header('location:../template/index.php?mod=error');   //redirect đến trang error.php
  exit();
}
?>